Bug 509064 - libgnomecups checks for cups lpoptions in the wrong place
libgnomecups checks for cups lpoptions in the wrong place
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libgnomecups (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Marek Kašík
desktop-bugs@redhat.com
:
Depends On: 509066 603809
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 01:48 EDT by ritz
Modified: 2013-04-30 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 246602
Environment:
Last Closed: 2009-11-11 04:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch based on upstream code (408 bytes, patch)
2009-07-01 02:12 EDT, ritz
no flags Details | Diff

  None (edit)
Description ritz 2009-07-01 01:48:58 EDT
+++ This bug was initially created as a clone of Bug #246602 +++

Description of problem:

For cups 1.2 the default user specific queue options are written to
~/.cups/lpoptions. libgnomecups only checks the old ~/.lpoptions location.

This problem was also discovered & fixed in Ubuntu, bug #34112. The patch
attached is an extract from the one by Martin Pitt in that bug.

Version-Release number of selected component (if applicable):

libgnomecups-0.2.2-8.x86_64

Additional info:
Note that libgnomecups doesn't even honor any lpoptions by default; for that the
patch in bug 157878 is needed.


Created an attachment (id=158430)
also check ~/.cups/lpoptions for CUPS options
Comment 2 ritz 2009-07-01 02:12:10 EDT
Created attachment 350059 [details]
patch based on upstream code
Comment 4 Marek Kašík 2009-11-03 10:38:52 EST
I committed the patch from the comment #2. The build is libgnomecups-0.2.2-9.

Marek
Comment 8 errata-xmlrpc 2009-11-11 04:22:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1577.html

Note You need to log in before you can comment on or make changes to this bug.